Subject: Re: [PATCH net-next v2 3/7] net: add basic C code generators for Netlink

From: Guillaume Nault <[email-masked]>
Date: Fri, 7 Oct 2022 10:54:31 +0200

On Thu, Oct 06, 2022 at 07:55:37AM -0700, Jakub Kicinski wrote:
> On Thu, 6 Oct 2022 14:51:09 +0200 Guillaume Nault wrote:
> > > v2: - use /* */ comments instead of //  
> > 
> > Probably not a very interesting feedback, but there
> > are still many comments generated in the // style.
> 
> It's slightly unclear to me what our policy on comments is now.
> I can fix all up - the motivation for the change in v2 was that
> in uAPI apparently its completely forbidden to use anything that's 
> not ANSI C :S

I didn't realise the v2 comment was for uapi headers only. So I was
surprised to see // comments in the generated files.

> Gotta keep that compatibility with the all important Borland compiler
> or something?

Personnaly, I like the /* */ style, but I don't think my personnal
taste should influence this patch set. I genuinely thought you wanted
to convert all comments, hence my feedback. Feel free to ignore it :).